%define major			6
%define major_port		12
%define libname			%mklibname gphoto 2 %{major}
%define libgphotoportname	%mklibname gphoto2_port %{major_port}
%define develname		%mklibname gphoto -d


%define extraversion %{nil}

Summary:	Library to access digital cameras
Name:		libgphoto
Version:	2.5.14
Release:	%mkrel 1
License:	LGPL+ and GPLv2 and (LGPL+ or BSD-like)
Group:		System/Libraries
URL:		http://sourceforge.net/projects/gphoto/
Source0:	http://downloads.sourceforge.net/project/gphoto/%{name}/%{version}/%{name}2-%{version}%{?extraversion:%extraversion}.tar.bz2
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	zlib-devel
BuildRequires:	libexif-devel
BuildRequires:	lockdev-devel
BuildRequires:	libltdl-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libxml2-devel
BuildRequires:	gettext-devel
BuildRequires:	gd-devel

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the library that digital camera applications
can use.

Frontends (GUI and command line) are available separately.

%package -n %{libname}
Summary:	Library to access to digital cameras
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname gphoto 6
Group:		System/Libraries

%description -n %{libname}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n %{libgphotoportname}
Summary:	Library for easy access to digital cameras
Group:		System/Libraries
Conflicts:	%mklibname gphoto 6

%description -n %{libgphotoportname}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Base

%description common
Non-library files for the "%{libname}" library

%package -n %{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Requires:	%{libname} >= %{version}
Requires:	%{libgphotoportname} >= %{version}
Requires:	libexif-devel
Requires:	multiarch-utils
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gphoto2-devel = %{version}-%{release}
Group:		Development/C

%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -q -n %{name}2-%{version}%{?extraversion:%extraversion}
%autopatch -p1

%build
#autoreconf -fi

export udevscriptdir=%{_prefix}/lib/udev
%configure2_5x \
    --disable-rpath \
    --disable-resmgr \
    --disable-baudboy \
    --disable-ttylock \
    --disable-static
%make_build

%install
%make_install

# obsolete with recent udev or hal
rm -f %{buildroot}%{_prefix}/lib/udev/check-ptp-camera \
      %{buildroot}%{_prefix}/lib/udev/check-mtp-device

# Fix up libtool libraries.
find %{buildroot} -name '*.la' -delete

# # Output udev rules for device identification; this is used by GVfs gphoto2
# backend and others.
#
# Btw, since it's %%{_prefix}/lib/udev, never e.g. %%{_prefix}/lib64/udev, we hardcode the path
#
mkdir -p %{buildroot}%{_udevrulesdir}
LD_LIBRARY_PATH=%{buildroot}/%{_libdir} CAMLIBS=%{buildroot}/%{_libdir}/libgphoto2/%{version} %{buildroot}%{_libdir}/libgphoto2/print-camera-list udev-rules version 175 > %{buildroot}%{_udevrulesdir}/40-libgphoto2.rules


%find_lang libgphoto2-%{major}
%find_lang libgphoto2_port-%{major_port}
cat libgphoto2-%{major}.lang libgphoto2_port-%{major_port}.lang > %{name}.lang

# Multiarch setup
%multiarch_binaries %buildroot%{_bindir}/gphoto2-config
%multiarch_binaries %buildroot%{_bindir}/gphoto2-port-config

rm -rf %{buildroot}%{_docdir}/libgphoto2_port

%files -n %{libname}
%{_libdir}/libgphoto2.so.%{major}{,.*}

%files -n %{libgphotoportname}
%{_libdir}/libgphoto2_port.so.%{major_port}{,.*}

%files common -f %{name}.lang
%{_datadir}/libgphoto2
%{_datadir}/libgphoto2_port
%{_libdir}/libgphoto2
%{_libdir}/libgphoto2_port
%{_udevrulesdir}/40-libgphoto2.rules

%files -n %{develname}
%{_bindir}/*
%{_includedir}/gphoto2
%{_libdir}/*.so

%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%docdir %{_docdir}/%{name}2
%{_docdir}/%{name}2

%doc ABOUT-NLS ChangeLog HACKING MAINTAINERS TESTERS


%changelog
* Fri Jul 07 2017 luigiwalser <luigiwalser> 2.5.14-1.mga6
+ Revision: 1109368
- 2.5.14

* Tue Jan 10 2017 luigiwalser <luigiwalser> 2.5.12-1.mga6
+ Revision: 1080867
- 2.5.12

* Wed Nov 30 2016 luigiwalser <luigiwalser> 2.5.11-1.mga6
+ Revision: 1071290
- 2.5.11
- remove upstreamed patch for libjpeg-turbo

* Thu Sep 22 2016 daviddavid <daviddavid> 2.5.10-2.mga6
+ Revision: 1055182
- add upstream patch to fix build with libjpeg-turbo 1.5.0
  * https://github.com/gphoto/libgphoto2/commit/0df14db

* Mon May 09 2016 luigiwalser <luigiwalser> 2.5.10-1.mga6
+ Revision: 1011607
- 2.5.10

* Thu Dec 31 2015 luigiwalser <luigiwalser> 2.5.9-1.mga6
+ Revision: 917414
- 2.5.9

* Sun Aug 23 2015 ycantin <ycantin> 2.5.8-1.mga6
+ Revision: 868769
- fix spec formatting
- add patch comment
- new version 2.5.8

* Fri Feb 20 2015 anaselli <anaselli> 2.5.7-1.mga5
+ Revision: 816071
- new 2.5.7

* Fri Feb 20 2015 anaselli <anaselli> 2.5.5.1-8.mga5
+ Revision: 816067
- fixed library policy for libgphoto2_port and libgphoto2

* Mon Feb 16 2015 oden <oden> 2.5.5.1-7.mga5
+ Revision: 815147
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 2.5.5.1-6.mga5
+ Revision: 749580
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.5.1-5.mga5
+ Revision: 681506
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 2.5.5.1-4.mga5
+ Revision: 674273
- 2.5.5.1

  + wally <wally>
    - fix common subpkg description

* Sat Jul 05 2014 tv <tv> 2.5.4-4.mga5
+ Revision: 643463
- BR the right libusb, remove bogus requires

  + wally <wally>
    - drop old Mdv era obsoletes/conflicts

* Sat Jul 05 2014 wally <wally> 2.5.4-3.mga5
+ Revision: 643425
- adjust libusb requires

* Mon Apr 28 2014 dams <dams> 2.5.4-1.mga5
+ Revision: 618673
- new version 2.5.4

* Fri Mar 07 2014 dams <dams> 2.5.3.1-1.mga5
+ Revision: 600838
- new version 2.5.3.1

* Sat Feb 15 2014 dams <dams> 2.5.3-1.mga5
+ Revision: 591608
- new version 2.5.3

* Sat Oct 19 2013 umeabot <umeabot> 2.5.2-3.mga4
+ Revision: 523994
- Mageia 4 Mass Rebuild

* Tue May 28 2013 oden <oden> 2.5.2-2.mga4
+ Revision: 429284
- rebuilt against libgd.so.3

* Sat May 11 2013 guillomovitch <guillomovitch> 2.5.2-1.mga3
+ Revision: 413015
- new version

* Sat Jan 12 2013 umeabot <umeabot> 2.5.0-5.mga3
+ Revision: 357354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 2.5.0-4.mga3
+ Revision: 323382
- clean spec
- update rpm group

* Fri Aug 31 2012 colin <colin> 2.5.0-3.mga3
+ Revision: 286675
- Remove HAL support and update udev path post-usrmove

* Fri Aug 31 2012 colin <colin> 2.5.0-2.mga3
+ Revision: 286670
- Properly generate camera udev rules when building in a chroot (mga#4177)

* Sun Aug 05 2012 guillomovitch <guillomovitch> 2.5.0-1.mga3
+ Revision: 278518
- new version

* Fri Jul 13 2012 fwang <fwang> 2.4.14-2.mga3
+ Revision: 270543
- there is no udev-tools

* Mon Jun 04 2012 fwang <fwang> 2.4.14-1.mga3
+ Revision: 253869
- new version 2.4.14

* Wed Feb 22 2012 ovitters <ovitters> 2.4.11-4.mga2
+ Revision: 212218
- clean spec

* Mon Oct 03 2011 dlucio <dlucio> 2.4.11-3.mga2
+ Revision: 151401
- Just a rebuild to be sure we use new libpng

* Wed Sep 21 2011 fwang <fwang> 2.4.11-2.mga2
+ Revision: 146256
- drop .la files

* Mon Jun 20 2011 tv <tv> 2.4.11-1.mga2
+ Revision: 110731
- new release
- optional HAL support
- rediff patch 0

* Sat Apr 16 2011 pterjan <pterjan> 2.4.10.1-1.mga1
+ Revision: 86658
- Update to 2.4.10.1
- Drop some old tags

* Sat Jan 15 2011 blino <blino> 2.4.10-2.mga1
+ Revision: 18908
- remove old conflicts/obsoletes/provides
- remove old ldconfig scriptlets
- imported package libgphoto

